# [forum](https://forum.tilde.team/)

this repo is a forum that integrates with [tilde.team](https://tilde.team/), authenticating with the user account on the server and pulling profile pics from each user's home folder (`~/public_html/avatar.png` if you're curious). more integrations to come.

![forum](forum.png)

## [roadmap](https://github.com/tilde-team/forum/projects/1)

* user mentions (i'm thinking in the form of `~user`)
* notifications for activity in threads you start and mentions
* ~deeper integration with tilde.team~
    - ~sudoers on the server will have admin rights on the forum~
    - ~profile info will pull from a custom file in their `~/public_html`~
* youtube embeds (extend markdown somehow)


you need an account on [tilde.team](https://tilde.team/signup/) to use the forum :)

thanks for stopping by our little community!

~ben



---

> quick links for later (from `phx.new`)

To start your Phoenix server:

  * Install dependencies with `mix deps.get`
  * Create and migrate your database with `mix ecto.create && mix ecto.migrate`
  * Install Node.js dependencies with `cd assets && npm install`
  * Start Phoenix endpoint with `mix phx.server`

Now you can visit [`localhost:4000`](http://localhost:4000) from your browser.

Ready to run in production? Please [check our deployment guides](http://www.phoenixframework.org/docs/deployment).

## Learn more

  * Official website: http://www.phoenixframework.org/
  * Guides: http://phoenixframework.org/docs/overview
  * Docs: https://hexdocs.pm/phoenix
  * Mailing list: http://groups.google.com/group/phoenix-talk
  * Source: https://github.com/phoenixframework/phoenix
