defmodule Forum.Repo.Migrations.AddRelationships do
  use Ecto.Migration

  def change do
    alter table(:threads) do
      add :user_id, references(:users, on_delete: :delete_all)
    end
    alter table(:posts) do
      add :thread_id, references(:threads)
      add :user_id, references(:users)
      add :parent_id, references(:posts)
    end
  end
end
