# Script for populating the database. You can run it as:
#
#     mix run priv/repo/seeds.exs
#
# Inside the script, you can read and write to any of your
# repositories directly:
#
#     Forum.Repo.insert!(%Forum.SomeSchema{})
#
# We recommend using the bang functions (`insert!`, `update!`
# and so on) as they will fail if something goes wrong.

Forum.Repo.insert!(%Forum.User{name: "ben", sudoer: true, bio: "dev/sysadmin"})

Forum.Repo.insert!(%Forum.Thread{name: "forum faq", sticky: true, user_id: 1})

for i <- 1..100 do
  Forum.Repo.insert!(%Forum.Post{
    content: "welcome! lots of posts #{i}",
    thread_id: 1,
    user_id: 1
  })
end

Forum.Repo.insert!(%Forum.Thread{name: "what are you working on?", user_id: 1})

Forum.Repo.insert!(%Forum.Post{
  content:
    "learning elixir by making this site! check it out on [github](https://github.com/tilde-team/forum/tree/elixir)",
  thread_id: 2,
  user_id: 1
})
